# Generated by Django 3.0.7 on 2020-07-09 13:09

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0001_initial'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='befficiencyfactor',
            options={'verbose_name': 'Potassium efficiency factor', 'verbose_name_plural': 'Potassium efficiency factors'},
        ),
        migrations.RemoveField(
            model_name='bsoileffect',
            name='id',
        ),
        migrations.AddField(
            model_name='plantspeciesprofile',
            name='sd_water_allocation_volume',
            field=models.FloatField(blank=True, null=True, verbose_name='Standardized water allocation volume'),
        ),
        migrations.AlterField(
            model_name='bsoileffect',
            name='soil_type',
            field=models.CharField(choices=[('SANDY', 'Sandy'), ('SANDY_LOAM', 'Sandy loam'), ('LOAM', 'Loam'), ('SILTY_LOAM', 'Silty loam'), ('CLAY_LOAM', 'Clay loam'), ('CLAY', 'Clay')], max_length=32, primary_key=True, serialize=False, verbose_name='Soil type'),
        ),
        migrations.AlterField(
            model_name='plantspeciesprofile',
            name='profile_name',
            field=models.CharField(max_length=255, unique=True, verbose_name='profile name'),
        ),
        migrations.AlterUniqueTogether(
            name='befficiencyfactor',
            unique_together={('strategy', 'soil_type')},
        ),
    ]
